> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 비디오 생성 작업 취소/삭제

> Seedance 2.0 New DELETE /api/v3/contents/generations/tasks/{id}

## 소개

비디오 생성 작업을 취소하거나 삭제합니다. `DELETE` 동작은 작업의 현재 상태에 따라 달라집니다.

## 인증

<ParamField header="Authorization" type="string" required>
  Bearer Token, 예: `Bearer sk-your_token_key`
</ParamField>

## 경로 매개변수

<ParamField path="id" type="string" required>
  작업 `id`
</ParamField>

## 동작 설명

| 작업 상태       | 삭제 가능  | 효과                            | 삭제 후 상태     |
| ----------- | ------ | ----------------------------- | ----------- |
| `queued`    | 가능     | 대기열에서 제거, 상태가 `cancelled`로 변경 | `cancelled` |
| `running`   | **불가** | 거부                            | —           |
| `succeeded` | 가능     | 작업 기록 삭제, 이후 조회 불가            | —           |
| `failed`    | 가능     | 위와 동일                         | —           |
| `cancelled` | **불가** | 거부                            | —           |
| `expired`   | 가능     | 위와 동일                         | —           |

성공 시 응답 본문은 비어 있습니다(`{}`), 실패 시 해당 오류 상태 코드와 오류 본문을 반환합니다.

## 요청 예제

```bash theme={null}
curl -X DELETE https://api.gravitex.ai/api/v3/contents/generations/tasks/cgt-20260708094649-mxfjc \
  -H "Authorization: Bearer sk-your_token_key"
```
